Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 46d0bc16c6b5f243985d03defd42e6f148227745)
+++ cpukit/ChangeLog	(revision 9c94f544aacecca30be525d6afc2e1dc50afb451)
@@ -1,2 +1,9 @@
+2004-01-23	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* ChangeLog: Merge-in itron/ChangeLog, posix/ChangeLog, score/ChangeLog,
+	sapi/ChangeLog, rtems/ChangeLog.
+	* itron/ChangeLog, posix/ChangeLog, score/ChangeLog, sapi/ChangeLog,
+	rtems/ChangeLog: Remove.
+
 2004-01-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
@@ -8,4 +15,9 @@
 
 	* Makefile.am: Add PREINSTALL_DIRS.
+	* itron/Makefile.am: Add PREINSTALL_DIRS.
+	* posix/Makefile.am: Add PREINSTALL_DIRS.
+	* score/Makefile.am: Add PREINSTALL_DIRS.
+	* sapi/Makefile.am: Add PREINSTALL_DIRS.
+	* rtems/Makefile.am: Add PREINSTALL_DIRS.
 
 2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -17,8 +29,19 @@
 	* automake/local.am: Remove depend-am.
 	* automake/subdirs.am: Remove depend-recursive.
+	* itron/Makefile.am: Re-add dirstamps to PREINSTALL_FILES. Add
+	PREINSTALL_FILES to CLEANFILES.
+	* posix/Makefile.am: Re-add dirstamps to PREINSTALL_FILES. Add
+	PREINSTALL_FILES to CLEANFILES.
+	* score/Makefile.am: Re-add dirstamps to PREINSTALL_FILES. Add
+	PREINSTALL_FILES to CLEANFILES. Add cpuopts.h to DISTCLEANFILES.
+	* sapi/Makefile.am: Re-add dirstamps to PREINSTALL_FILES. Add
+	PREINSTALL_FILES to CLEANFILES.
+	* rtems/Makefile.am: Re-add dirstamps to PREINSTALL_FILES. Add
+	PREINSTALL_FILES to CLEANFILES.
 
 2004-01-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* configure.ac: Requires automake >= 1.8.1.
+	* score/cpu/Makefile.am: Use @RTEMS_CPU@ instead of $(RTEMS_CPU).
 
 2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -46,4 +69,10 @@
 	autoconf-2.59).
 	* automake/local.am: Remove clean-local, depend-gcc.
+	* itron/Makefile.am: Include compile.am, again.
+	* posix/Makefile.am: Include compile.am, again.
+	* score/Makefile.am: Include compile.am, again.
+	* score/macros/rtems/score/README: Remove (Redundant with macros/README).
+	* sapi/Makefile.am: Include compile.am, again.
+	* rtems/Makefile.am: Include compile.am, again.
 
 2004-01-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -59,4 +88,24 @@
 	* wrapup/Makefile.am:  Reflect changes to libblock/Makefile.am. Reflect
 	changes to libcsupport/Makefile.am.
+	* itron/Makefile.am: Add libs to CLEANFILES. Set lib*_g_a_SOURCES =
+	lib*_a_SOURCES.
+	* itron/Makefile.am: Build libitron$(LIB_VARIANT).a instead of
+	$(ARCH)/libitron.a.
+	* posix/Makefile.am: Add libs to CLEANFILES Set lib*_g_a_SOURCES =
+	lib*_a_SOURCES.
+	* posix/Makefile.am: Build libposix$(LIB_VARIANT).a instead of
+	$(ARCH)/libposix.a.
+	* score/Makefile.am: Add libs to CLEANFILES Set lib*_g_a_SOURCES =
+	lib*_a_SOURCES.
+	* score/Makefile.am: Build libscore$(LIB_VARIANT).a instead of
+	$(ARCH)/libscore.a.
+	* sapi/Makefile.am: Add libs to CLEANFILES Set lib*_g_a_SOURCES =
+	lib*_a_SOURCES.
+	* sapi/Makefile.am: Build libsapi$(LIB_VARIANT).a instead of
+	$(ARCH)/libsapi.a.
+	* rtems/Makefile.am: Add libs to CLEANFILES Set lib*_g_a_SOURCES =
+	lib*_a_SOURCES.
+	* rtems/Makefile.am: Build librtems$(LIB_VARIANT).a instead of
+	$(ARCH)/librtems.a.
 
 2004-01-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -65,4 +114,14 @@
 	* automake/amcompile.am: New.
 	* configure.ac: Add subdir-objects, AM_PROG_CC_C_O.
+	* itron/Makefile.am: Build library using EXTRA_LIBRARIES and automake
+	rules.
+	* posix/Makefile.am: Build library using EXTRA_LIBRARIES and automake
+	rules.
+	* score/Makefile.am: Build library using EXTRA_LIBRARIES and automake
+	rules.
+	* sapi/Makefile.am: Build library using EXTRA_LIBRARIES and automake
+	rules.
+	* rtems/Makefile.am: Build library using EXTRA_LIBRARIES and automake
+	rules.
 
 2004-01-07	Joel Sherrill <joel@OARcorp.com>
@@ -70,4 +129,16 @@
 	* aclocal/rtems-cpu-subdirs.m4: mips64orion port removed as mips port
 	more completely covers the MIPS family.
+	* score/cpu/Makefile.am: mips64orion port removed as mips port more
+	completely covers the MIPS family.
+	* score/cpu/mips64orion/.cvsignore, score/cpu/mips64orion/ChangeLog,
+	score/cpu/mips64orion/Makefile.am, score/cpu/mips64orion/asm.h,
+	score/cpu/mips64orion/configure.ac, score/cpu/mips64orion/cpu.c,
+	score/cpu/mips64orion/cpu_asm.S, score/cpu/mips64orion/cpu_asm.h,
+	score/cpu/mips64orion/idtcpu.h, score/cpu/mips64orion/idtmon.h,
+	score/cpu/mips64orion/iregdef.h, score/cpu/mips64orion/rtems/.cvsignore,
+	score/cpu/mips64orion/rtems/score/.cvsignore,
+	score/cpu/mips64orion/rtems/score/cpu.h,
+	score/cpu/mips64orion/rtems/score/mips64orion.h,
+	score/cpu/mips64orion/rtems/score/types.h: Removed.
 
 2003-12-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -78,4 +149,15 @@
 
 	* aclocal/version.m4: Updated to rtems-20031217-test.
+
+2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	PR 533/bsps
+	* score/startup/linkcmds: Update linkcmds for gcc 3.3.2.
+
+2003-12-16	Joel Sherrill <joel@OARcorp.com>
+
+	PR 543/rtems
+	* score/src/threadclose.c: Make the task delete extension run outside a
+	dispatch disabled critical section so extensions can free resources.
 
 2003-12-13	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -97,4 +179,9 @@
 	* Makefile.am: Remove BUILT_SOURCES.
 	* configure.ac: Require automake >= 1.8, autoconf >= 2.59.
+	* itron/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+	* posix/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+	* score/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+	* sapi/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+	* rtems/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
 
 2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -106,4 +193,21 @@
 	* aclocal/rtems-top.m4: Require AM_SET_LEADING_DOT. Add
 	AC_SUBST(dirstamp).
+	* itron/Makefile.am: Add $(dirstamp) to compilation rules.
+	* itron/Makefile.am: Add $(dirstamp) to preinstallation rules. Remove
+	MACROS.
+	* posix/Makefile.am: Add $(dirstamp) to compilation rules.
+	* posix/Makefile.am: Add $(dirstamp) to preinstallation rules. Remove
+	MACROS.
+	* score/Makefile.am: Add $(dirstamp) to compilation rules.
+	* score/Makefile.am: Add $(dirstamp) to preinstallation rules. Remove
+	MACROS.
+	* sapi/Makefile.am: Add $(dirstamp) to compilation rules. Add
+	AM_CPPFLAGS += -I$(top_builddir).
+	* sapi/Makefile.am: Add $(dirstamp) to preinstallation rules. Remove
+	MACROS.
+	* rtems/Makefile.am: Add $(dirstamp) to compilation rules. Add
+	AM_CPPFLAGS += -I$(top_builddir).
+	* rtems/Makefile.am: Add $(dirstamp) to preinstallation rules. Remove
+	MACROS.
 
 2003-11-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -140,4 +244,10 @@
 	automake-1.8.
 
+2003-11-25	Joel Sherrill <joel@OARcorp.com>
+
+	PR 526/rtems
+	* score/src/threadcreateidle.c: Idle task name should be a string and
+	PR484 broke this.
+
 2003-11-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
@@ -150,4 +260,13 @@
 
 	* configure.ac: Make RTEMS_DEBUG an RTEMS_CPUOPT.
+	PR 525/rtems
+	* score/include/rtems/system.h: Use RTEMS_INLINES instead of USE_INLINES.
+	* score/include/rtems/score/chain.h: Ditto.
+	* score/include/rtems/score/thread.h: Ditto.
+	* score/src/chain.c: Ditto.
+	* score/src/coremutexseize.c: Ditto.
+	* score/src/threadget.c: Ditto.
+	* score/Makefile.am: Don't use gmake to preinstall.
+	* sapi/Makefile.am: Reworked.
 
 2003-11-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -155,4 +274,7 @@
 	* wrapup/Makefile.am: Reflect having removed libnetworking/wrapup.
 	* configure.ac: Ditto.
+	* itron/Makefile.am: Reworked.
+	* posix/Makefile.am: Reworked.
+	* rtems/Makefile.am: Reworked.
 
 2003-11-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -163,4 +285,21 @@
 	* aclocal/canonical-target-name.m4: Require AC_CANONICAL_HOST.
 	* aclocal/enable-inlines.m4: Remove USE_MACROS (Unused).
+	* itron/src/config.h: Remove.
+	* itron/Makefile.am: Remove src/config.h. AM_CPPFLAGS +=
+	-I$(top_builddir).
+	* posix/src/config.h: Remove.
+	* posix/Makefile.am: Remove src/config.h AM_CPPFLAGS +=
+	-I$(top_builddir).
+
+2003-10-23	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* rtems/src/regiongetsegment.c: Remove unneccessary typecast in
+	assignment to thread->Wait.return_argment.
+
+2003-10-22	Joel Sherrill <joel@OARcorp.com>
+
+	PR 512/core
+	* rtems/src/tasks.c, rtems/src/taskvariabledelete.c: Run task variable
+	destructor when task variable is deleted. Also some style cleanup.
 
 2003-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -182,4 +321,9 @@
 	* aclocal/canonical-target-name.m4: Add m4-quotes.
 	* configure.ac: Merge-in former aclocal/check-cpu.m4.
+	* posix/src/cancelrun.c, posix/src/pthreadexit.c,
+	posix/src/pthreadjoin.c, posix/ src/sigtimedwait.c: Remove unnecessary
+	typecasts in assignments to thread->Wait.return_argument.
+	* score/src/coremsgseize.c, score/src/coremsgsubmit.c: Remove
+	unnecessary typecasts in assignments to  thread->Wait.return_argument.
 
 2003-10-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -190,4 +334,27 @@
 	for multilibs.
 
+2003-10-13	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/cleanuppop.c, posix/src/cleanuppush.c: Protect use of
+	_Workspace_Allocate and _Workspec_Free.
+
+2003-10-02	Phil Torre <ptorre@zetron.com>
+
+	PR 504/rtems
+	* score/include/rtems/score/coremutex.h: Add fatal error check for a
+	task blocking on a mutex when thread dispatching is disabled.
+
+2003-09-26	Joel Sherrill <joel@OARcorp.com>
+
+	* score/cpu/hppa1.1/.cvsignore, score/cpu/hppa1.1/ChangeLog,
+	score/cpu/hppa1.1/Makefile.am, score/cpu/hppa1.1/configure.ac,
+	score/cpu/hppa1.1/cpu.c, score/cpu/hppa1.1/cpu_asm.S,
+	score/cpu/hppa1.1/rtems/.cvsignore,
+	score/cpu/hppa1.1/rtems/score/.cvsignore,
+	score/cpu/hppa1.1/rtems/score/cpu.h,
+	score/cpu/hppa1.1/rtems/score/cpu_asm.h,
+	score/cpu/hppa1.1/rtems/score/hppa.h,
+	score/cpu/hppa1.1/rtems/score/types.h: Removed.
+
 2003-09-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
@@ -197,8 +364,336 @@
 	librpc/include/Makefile.am.
 
+2003-09-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	PR 489/rtems
+	* score/include/rtems/score/thread.h: Change struct 
+	Thread_Control_struct.libc_reent to using struct _reent*.
+	* score/inline/rtems/score/thread.inl: Reflect change above.
+
+2003-09-11	Joel Sherrill <joel@OARcorp.com>
+
+	PR 488/rtems
+	* rtems/src/taskcreate.c, rtems/src/tasks.c: Ensure notepads are zeroed.
+
+2003-09-08	Mikec Ivica <mikici@acm.org>
+
+	* score/inline/rtems/score/userext.inl,
+	score/macros/rtems/score/userext.inl: Add missing cast.
+
+2003-09-08	Derick Hammond <derick@perkinstechnologies.com.au>
+
+	PR 484/rtems
+	* score/src/threadcreateidle.c: Idle task name was initialized
+	incorrectly.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
 	* include/rtems/bspIo.h, include/rtems/fs.h, include/rtems/userenv.h:
 	URL for license changed.
+	* itron/include/itron.h, itron/include/itronsys/eventflags.h,
+	itron/include/itronsys/fmempool.h, itron/include/itronsys/intr.h,
+	itron/include/itronsys/mbox.h, itron/include/itronsys/msgbuffer.h,
+	itron/include/itronsys/network.h, itron/include/itronsys/port.h,
+	itron/include/itronsys/semaphore.h, itron/include/itronsys/status.h,
+	itron/include/itronsys/sysmgmt.h, itron/include/itronsys/task.h,
+	itron/include/itronsys/time.h, itron/include/itronsys/types.h,
+	itron/include/itronsys/vmempool.h, itron/include/rtems/itron/config.h,
+	itron/include/rtems/itron/eventflags.h,
+	itron/include/rtems/itron/fmempool.h, itron/include/rtems/itron/intr.h,
+	itron/include/rtems/itron/itronapi.h, itron/include/rtems/itron/mbox.h,
+	itron/include/rtems/itron/msgbuffer.h,
+	itron/include/rtems/itron/network.h, itron/include/rtems/itron/object.h,
+	itron/include/rtems/itron/port.h, itron/include/rtems/itron/semaphore.h,
+	itron/include/rtems/itron/sysmgmt.h, itron/include/rtems/itron/task.h,
+	itron/include/rtems/itron/time.h, itron/include/rtems/itron/vmempool.h,
+	itron/inline/rtems/itron/eventflags.inl,
+	itron/inline/rtems/itron/fmempool.inl,
+	itron/inline/rtems/itron/intr.inl, itron/inline/rtems/itron/mbox.inl,
+	itron/inline/rtems/itron/msgbuffer.inl,
+	itron/inline/rtems/itron/network.inl, itron/inline/rtems/itron/port.inl,
+	itron/inline/rtems/itron/semaphore.inl,
+	itron/inline/rtems/itron/sysmgmt.inl, itron/inline/rtems/itron/task.inl,
+	itron/inline/rtems/itron/time.inl,
+	itron/inline/rtems/itron/vmempool.inl,
+	itron/macros/rtems/itron/eventflags.inl,
+	itron/macros/rtems/itron/fmempool.inl,
+	itron/macros/rtems/itron/intr.inl, itron/macros/rtems/itron/mbox.inl,
+	itron/macros/rtems/itron/msgbuffer.inl,
+	itron/macros/rtems/itron/network.inl, itron/macros/rtems/itron/port.inl,
+	itron/macros/rtems/itron/semaphore.inl,
+	itron/macros/rtems/itron/sysmgmt.inl, itron/macros/rtems/itron/task.inl,
+	itron/macros/rtems/itron/time.inl,
+	itron/macros/rtems/itron/vmempool.inl, itron/src/can_wup.c,
+	itron/src/chg_pri.c, itron/src/cre_mbf.c, itron/src/cre_mbx.c,
+	itron/src/cre_sem.c, itron/src/cre_tsk.c, itron/src/del_mbf.c,
+	itron/src/del_mbx.c, itron/src/del_sem.c, itron/src/del_tsk.c,
+	itron/src/dis_dsp.c, itron/src/ena_dsp.c, itron/src/eventflags.c,
+	itron/src/exd_tsk.c, itron/src/ext_tsk.c, itron/src/fmempool.c,
+	itron/src/frsm_tsk.c, itron/src/get_tid.c, itron/src/itronintr.c,
+	itron/src/itronsem.c, itron/src/itrontime.c, itron/src/mbox.c,
+	itron/src/mboxtranslatereturncode.c, itron/src/msgbuffer.c,
+	itron/src/msgbuffertranslatereturncode.c, itron/src/network.c,
+	itron/src/port.c, itron/src/prcv_mbf.c, itron/src/prcv_mbx.c,
+	itron/src/preq_sem.c, itron/src/psnd_mbf.c, itron/src/rcv_mbf.c,
+	itron/src/rcv_mbx.c, itron/src/ref_mbf.c, itron/src/ref_mbx.c,
+	itron/src/ref_sem.c, itron/src/ref_tsk.c, itron/src/rel_wai.c,
+	itron/src/rot_rdq.c, itron/src/rsm_tsk.c, itron/src/sig_sem.c,
+	itron/src/slp_tsk.c, itron/src/snd_mbf.c, itron/src/snd_mbx.c,
+	itron/src/sta_tsk.c, itron/src/sus_tsk.c, itron/src/sysmgmt.c,
+	itron/src/task.c, itron/src/ter_tsk.c, itron/src/trcv_mbf.c,
+	itron/src/trcv_mbx.c, itron/src/tslp_tsk.c, itron/src/tsnd_mbf.c,
+	itron/src/twai_sem.c, itron/src/vmempool.c, itron/src/wai_sem.c,
+	itron/src/wup_tsk.c: URL for license changed.
+	* posix/include/rtems/posix/cond.h, posix/include/rtems/posix/condmp.h,
+	posix/include/rtems/posix/config.h, posix/include/rtems/posix/intr.h,
+	posix/include/rtems/posix/key.h, posix/include/rtems/posix/mqueue.h,
+	posix/include/rtems/posix/mqueuemp.h, posix/include/rtems/posix/mutex.h,
+	posix/include/rtems/posix/mutexmp.h,
+	posix/include/rtems/posix/posixapi.h,
+	posix/include/rtems/posix/pthread.h,
+	posix/include/rtems/posix/pthreadmp.h,
+	posix/include/rtems/posix/ptimer.h,
+	posix/include/rtems/posix/semaphore.h,
+	posix/include/rtems/posix/semaphoremp.h,
+	posix/inline/rtems/posix/cond.inl, posix/inline/rtems/posix/intr.inl,
+	posix/inline/rtems/posix/key.inl, posix/inline/rtems/posix/mqueue.inl,
+	posix/inline/rtems/posix/mutex.inl,
+	posix/inline/rtems/posix/pthread.inl,
+	posix/inline/rtems/posix/semaphore.inl,
+	posix/inline/rtems/posix/timer.inl, posix/macros/rtems/posix/cond.inl,
+	posix/macros/rtems/posix/intr.inl, posix/macros/rtems/posix/key.inl,
+	posix/macros/rtems/posix/mqueue.inl, posix/macros/rtems/posix/mutex.inl,
+	posix/macros/rtems/posix/pthread.inl,
+	posix/macros/rtems/posix/semaphore.inl,
+	posix/macros/rtems/posix/timer.inl, posix/src/alarm.c, posix/src/kill.c,
+	posix/src/killinfo.c, posix/src/mqueuetranslatereturncode.c,
+	posix/src/pause.c, posix/src/pthreadattrdestroy.c,
+	posix/src/pthreadattrgetdetachstate.c,
+	posix/src/pthreadattrgetinheritsched.c,
+	posix/src/pthreadattrgetschedparam.c,
+	posix/src/pthreadattrgetschedpolicy.c, posix/src/pthreadattrgetscope.c,
+	posix/src/pthreadattrgetstackaddr.c,
+	posix/src/pthreadattrgetstacksize.c, posix/src/pthreadattrinit.c,
+	posix/src/pthreadattrsetdetachstate.c,
+	posix/src/pthreadattrsetinheritsched.c,
+	posix/src/pthreadattrsetschedparam.c,
+	posix/src/pthreadattrsetschedpolicy.c, posix/src/pthreadattrsetscope.c,
+	posix/src/pthreadattrsetstackaddr.c,
+	posix/src/pthreadattrsetstacksize.c, posix/src/pthreadcreate.c,
+	posix/src/pthreaddetach.c, posix/src/pthreadequal.c,
+	posix/src/pthreadexit.c, posix/src/pthreadgetcpuclockid.c,
+	posix/src/pthreadgetcputime.c, posix/src/pthreadgetschedparam.c,
+	posix/src/pthreadjoin.c, posix/src/pthreadkill.c,
+	posix/src/pthreadonce.c, posix/src/pthreadself.c,
+	posix/src/pthreadsetcputime.c, posix/src/pthreadsetschedparam.c,
+	posix/src/pthreadsigmask.c, posix/src/sigaction.c,
+	posix/src/sigaddset.c, posix/src/sigdelset.c, posix/src/sigemptyset.c,
+	posix/src/sigfillset.c, posix/src/sigismember.c, posix/src/signal_2.c,
+	posix/src/sigpending.c, posix/src/sigprocmask.c, posix/src/sigqueue.c,
+	posix/src/sigsuspend.c, posix/src/sigtimedwait.c, posix/src/sigwait.c,
+	posix/src/sigwaitinfo.c, posix/src/ualarm.c: URL for license changed.
+	* score/include/rtems/debug.h, score/include/rtems/seterr.h,
+	score/include/rtems/system.h, score/include/rtems/score/address.h,
+	score/include/rtems/score/apiext.h,
+	score/include/rtems/score/apimutex.h,
+	score/include/rtems/score/bitfield.h, score/include/rtems/score/chain.h,
+	score/include/rtems/score/context.h, score/include/rtems/score/copyrt.h,
+	score/include/rtems/score/coremsg.h,
+	score/include/rtems/score/coremutex.h,
+	score/include/rtems/score/coresem.h, score/include/rtems/score/heap.h,
+	score/include/rtems/score/interr.h, score/include/rtems/score/isr.h,
+	score/include/rtems/score/mpci.h, score/include/rtems/score/mppkt.h,
+	score/include/rtems/score/object.h,
+	score/include/rtems/score/objectmp.h,
+	score/include/rtems/score/priority.h, score/include/rtems/score/stack.h,
+	score/include/rtems/score/states.h,
+	score/include/rtems/score/sysstate.h,
+	score/include/rtems/score/thread.h,
+	score/include/rtems/score/threadmp.h,
+	score/include/rtems/score/threadq.h, score/include/rtems/score/tod.h,
+	score/include/rtems/score/tqdata.h, score/include/rtems/score/userext.h,
+	score/include/rtems/score/watchdog.h,
+	score/include/rtems/score/wkspace.h,
+	score/inline/rtems/score/address.inl,
+	score/inline/rtems/score/chain.inl,
+	score/inline/rtems/score/coremsg.inl,
+	score/inline/rtems/score/coremutex.inl,
+	score/inline/rtems/score/coresem.inl, score/inline/rtems/score/heap.inl,
+	score/inline/rtems/score/isr.inl, score/inline/rtems/score/mppkt.inl,
+	score/inline/rtems/score/object.inl,
+	score/inline/rtems/score/objectmp.inl,
+	score/inline/rtems/score/priority.inl,
+	score/inline/rtems/score/stack.inl, score/inline/rtems/score/states.inl,
+	score/inline/rtems/score/sysstate.inl,
+	score/inline/rtems/score/thread.inl,
+	score/inline/rtems/score/threadmp.inl, score/inline/rtems/score/tod.inl,
+	score/inline/rtems/score/tqdata.inl,
+	score/inline/rtems/score/userext.inl,
+	score/inline/rtems/score/watchdog.inl,
+	score/inline/rtems/score/wkspace.inl,
+	score/macros/rtems/score/address.inl,
+	score/macros/rtems/score/chain.inl,
+	score/macros/rtems/score/coremsg.inl,
+	score/macros/rtems/score/coremutex.inl,
+	score/macros/rtems/score/coresem.inl, score/macros/rtems/score/heap.inl,
+	score/macros/rtems/score/isr.inl, score/macros/rtems/score/mppkt.inl,
+	score/macros/rtems/score/object.inl,
+	score/macros/rtems/score/objectmp.inl,
+	score/macros/rtems/score/priority.inl,
+	score/macros/rtems/score/stack.inl, score/macros/rtems/score/states.inl,
+	score/macros/rtems/score/sysstate.inl,
+	score/macros/rtems/score/thread.inl,
+	score/macros/rtems/score/threadmp.inl, score/macros/rtems/score/tod.inl,
+	score/macros/rtems/score/tqdata.inl,
+	score/macros/rtems/score/userext.inl,
+	score/macros/rtems/score/watchdog.inl,
+	score/macros/rtems/score/wkspace.inl, score/src/apiext.c,
+	score/src/chain.c, score/src/coremsg.c, score/src/coremsgbroadcast.c,
+	score/src/coremsgclose.c, score/src/coremsgflush.c,
+	score/src/coremsgflushsupp.c, score/src/coremsgflushwait.c,
+	score/src/coremsginsert.c, score/src/coremsgseize.c,
+	score/src/coremsgsubmit.c, score/src/coremutex.c,
+	score/src/coremutexflush.c, score/src/coremutexseize.c,
+	score/src/coremutexsurrender.c, score/src/coresem.c,
+	score/src/coresemflush.c, score/src/coresemseize.c,
+	score/src/coresemsurrender.c, score/src/coretod.c,
+	score/src/coretodset.c, score/src/coretodtickle.c,
+	score/src/coretodtoseconds.c, score/src/coretodvalidate.c,
+	score/src/heap.c, score/src/heapallocate.c, score/src/heapextend.c,
+	score/src/heapfree.c, score/src/heapgetinfo.c,
+	score/src/heapsizeofuserarea.c, score/src/heapwalk.c,
+	score/src/interr.c, score/src/isr.c, score/src/iterateoverthreads.c,
+	score/src/mpci.c, score/src/object.c, score/src/objectallocate.c,
+	score/src/objectallocatebyindex.c, score/src/objectclearname.c,
+	score/src/objectcomparenameraw.c, score/src/objectcomparenamestring.c,
+	score/src/objectcopynameraw.c, score/src/objectcopynamestring.c,
+	score/src/objectextendinformation.c, score/src/objectfree.c,
+	score/src/objectget.c, score/src/objectgetbyindex.c,
+	score/src/objectgetisr.c, score/src/objectgetnext.c,
+	score/src/objectgetnoprotection.c, score/src/objectidtoname.c,
+	score/src/objectinitializeinformation.c, score/src/objectmp.c,
+	score/src/objectnametoid.c, score/src/objectshrinkinformation.c,
+	score/src/thread.c, score/src/threadchangepriority.c,
+	score/src/threadclearstate.c, score/src/threadclose.c,
+	score/src/threadcreateidle.c, score/src/threaddelayended.c,
+	score/src/threaddispatch.c, score/src/threadevaluatemode.c,
+	score/src/threadget.c, score/src/threadhandler.c,
+	score/src/threadidlebody.c, score/src/threadinitialize.c,
+	score/src/threadloadenv.c, score/src/threadmp.c, score/src/threadq.c,
+	score/src/threadqdequeue.c, score/src/threadqdequeuefifo.c,
+	score/src/threadqdequeuepriority.c, score/src/threadqenqueue.c,
+	score/src/threadqenqueuefifo.c, score/src/threadqenqueuepriority.c,
+	score/src/threadqextract.c, score/src/threadqextractfifo.c,
+	score/src/threadqextractpriority.c, score/src/threadqextractwithproxy.c,
+	score/src/threadqfirst.c, score/src/threadqfirstfifo.c,
+	score/src/threadqfirstpriority.c, score/src/threadqflush.c,
+	score/src/threadqtimeout.c, score/src/threadready.c,
+	score/src/threadreset.c, score/src/threadresettimeslice.c,
+	score/src/threadrestart.c, score/src/threadresume.c,
+	score/src/threadrotatequeue.c, score/src/threadsetpriority.c,
+	score/src/threadsetstate.c, score/src/threadsettransient.c,
+	score/src/threadstackallocate.c, score/src/threadstackfree.c,
+	score/src/threadstart.c, score/src/threadstartmultitasking.c,
+	score/src/threadsuspend.c, score/src/threadtickletimeslice.c,
+	score/src/threadyieldprocessor.c, score/src/userext.c,
+	score/src/watchdog.c, score/src/watchdogadjust.c,
+	score/src/watchdoginsert.c, score/src/watchdogremove.c,
+	score/src/watchdogtickle.c, score/src/wkspace.c: URL for license changed.
+	* sapi/include/confdefs.h, sapi/include/rtems/config.h,
+	sapi/include/rtems/extension.h, sapi/include/rtems/fatal.h,
+	sapi/include/rtems/init.h, sapi/include/rtems/io.h,
+	sapi/include/rtems/mptables.h, sapi/include/rtems/sptables.h,
+	sapi/include/rtems/sptables.h.in, sapi/inline/rtems/extension.inl,
+	sapi/macros/rtems/extension.inl, sapi/src/debug.c, sapi/src/exinit.c,
+	sapi/src/extension.c, sapi/src/extensioncreate.c,
+	sapi/src/extensiondelete.c, sapi/src/extensionident.c, sapi/src/fatal.c,
+	sapi/src/io.c, sapi/src/itronapi.c, sapi/src/posixapi.c,
+	sapi/src/rtemsapi.c: URL for license changed.
+	* rtems/include/rtems.h, rtems/include/rtems/rtems/asr.h,
+	rtems/include/rtems/rtems/attr.h, rtems/include/rtems/rtems/cache.h,
+	rtems/include/rtems/rtems/clock.h, rtems/include/rtems/rtems/config.h,
+	rtems/include/rtems/rtems/dpmem.h, rtems/include/rtems/rtems/event.h,
+	rtems/include/rtems/rtems/eventmp.h,
+	rtems/include/rtems/rtems/eventset.h, rtems/include/rtems/rtems/intr.h,
+	rtems/include/rtems/rtems/message.h, rtems/include/rtems/rtems/modes.h,
+	rtems/include/rtems/rtems/mp.h, rtems/include/rtems/rtems/msgmp.h,
+	rtems/include/rtems/rtems/options.h, rtems/include/rtems/rtems/part.h,
+	rtems/include/rtems/rtems/partmp.h, rtems/include/rtems/rtems/ratemon.h,
+	rtems/include/rtems/rtems/region.h,
+	rtems/include/rtems/rtems/regionmp.h,
+	rtems/include/rtems/rtems/rtemsapi.h, rtems/include/rtems/rtems/sem.h,
+	rtems/include/rtems/rtems/semmp.h, rtems/include/rtems/rtems/signal.h,
+	rtems/include/rtems/rtems/signalmp.h,
+	rtems/include/rtems/rtems/status.h, rtems/include/rtems/rtems/support.h,
+	rtems/include/rtems/rtems/taskmp.h, rtems/include/rtems/rtems/tasks.h,
+	rtems/include/rtems/rtems/timer.h, rtems/include/rtems/rtems/types.h,
+	rtems/inline/rtems/rtems/asr.inl, rtems/inline/rtems/rtems/attr.inl,
+	rtems/inline/rtems/rtems/dpmem.inl, rtems/inline/rtems/rtems/event.inl,
+	rtems/inline/rtems/rtems/eventset.inl,
+	rtems/inline/rtems/rtems/message.inl,
+	rtems/inline/rtems/rtems/modes.inl,
+	rtems/inline/rtems/rtems/options.inl, rtems/inline/rtems/rtems/part.inl,
+	rtems/inline/rtems/rtems/ratemon.inl,
+	rtems/inline/rtems/rtems/region.inl, rtems/inline/rtems/rtems/sem.inl,
+	rtems/inline/rtems/rtems/status.inl,
+	rtems/inline/rtems/rtems/support.inl,
+	rtems/inline/rtems/rtems/tasks.inl, rtems/inline/rtems/rtems/timer.inl,
+	rtems/macros/rtems/rtems/asr.inl, rtems/macros/rtems/rtems/attr.inl,
+	rtems/macros/rtems/rtems/dpmem.inl, rtems/macros/rtems/rtems/event.inl,
+	rtems/macros/rtems/rtems/eventset.inl,
+	rtems/macros/rtems/rtems/message.inl,
+	rtems/macros/rtems/rtems/modes.inl,
+	rtems/macros/rtems/rtems/options.inl, rtems/macros/rtems/rtems/part.inl,
+	rtems/macros/rtems/rtems/ratemon.inl,
+	rtems/macros/rtems/rtems/region.inl, rtems/macros/rtems/rtems/sem.inl,
+	rtems/macros/rtems/rtems/status.inl,
+	rtems/macros/rtems/rtems/support.inl,
+	rtems/macros/rtems/rtems/tasks.inl, rtems/macros/rtems/rtems/timer.inl,
+	rtems/src/attr.c, rtems/src/clockget.c, rtems/src/clockset.c,
+	rtems/src/clocktick.c, rtems/src/dpmem.c, rtems/src/dpmemcreate.c,
+	rtems/src/dpmemdelete.c, rtems/src/dpmemexternal2internal.c,
+	rtems/src/dpmemident.c, rtems/src/dpmeminternal2external.c,
+	rtems/src/event.c, rtems/src/eventmp.c, rtems/src/eventreceive.c,
+	rtems/src/eventseize.c, rtems/src/eventsend.c,
+	rtems/src/eventsurrender.c, rtems/src/eventtimeout.c, rtems/src/intr.c,
+	rtems/src/intrbody.c, rtems/src/intrcatch.c, rtems/src/mp.c,
+	rtems/src/msg.c, rtems/src/msgmp.c, rtems/src/msgqallocate.c,
+	rtems/src/msgqbroadcast.c, rtems/src/msgqcreate.c,
+	rtems/src/msgqdelete.c, rtems/src/msgqflush.c,
+	rtems/src/msgqgetnumberpending.c, rtems/src/msgqident.c,
+	rtems/src/msgqreceive.c, rtems/src/msgqsend.c, rtems/src/msgqsubmit.c,
+	rtems/src/msgqtranslatereturncode.c, rtems/src/msgqurgent.c,
+	rtems/src/part.c, rtems/src/partcreate.c, rtems/src/partdelete.c,
+	rtems/src/partgetbuffer.c, rtems/src/partident.c, rtems/src/partmp.c,
+	rtems/src/partreturnbuffer.c, rtems/src/ratemon.c,
+	rtems/src/ratemoncancel.c, rtems/src/ratemoncreate.c,
+	rtems/src/ratemondelete.c, rtems/src/ratemongetstatus.c,
+	rtems/src/ratemonident.c, rtems/src/ratemonperiod.c,
+	rtems/src/ratemontimeout.c, rtems/src/region.c,
+	rtems/src/regioncreate.c, rtems/src/regiondelete.c,
+	rtems/src/regionextend.c, rtems/src/regiongetinfo.c,
+	rtems/src/regiongetsegment.c, rtems/src/regiongetsegmentsize.c,
+	rtems/src/regionident.c, rtems/src/regionmp.c,
+	rtems/src/regionreturnsegment.c, rtems/src/rtclock.c,
+	rtems/src/rtemsidtoname.c, rtems/src/rtemstimer.c, rtems/src/sem.c,
+	rtems/src/semcreate.c, rtems/src/semdelete.c, rtems/src/semflush.c,
+	rtems/src/semident.c, rtems/src/semmp.c, rtems/src/semobtain.c,
+	rtems/src/semrelease.c, rtems/src/semtranslatereturncode.c,
+	rtems/src/signal.c, rtems/src/signalcatch.c, rtems/src/signalmp.c,
+	rtems/src/signalsend.c, rtems/src/taskcreate.c, rtems/src/taskdelete.c,
+	rtems/src/taskgetnote.c, rtems/src/taskident.c,
+	rtems/src/taskinitusers.c, rtems/src/taskissuspended.c,
+	rtems/src/taskmode.c, rtems/src/taskmp.c, rtems/src/taskrestart.c,
+	rtems/src/taskresume.c, rtems/src/tasks.c, rtems/src/tasksetnote.c,
+	rtems/src/tasksetpriority.c, rtems/src/taskstart.c,
+	rtems/src/tasksuspend.c, rtems/src/taskvariableadd.c,
+	rtems/src/taskvariabledelete.c, rtems/src/taskvariableget.c,
+	rtems/src/taskwakeafter.c, rtems/src/taskwakewhen.c,
+	rtems/src/timercancel.c, rtems/src/timercreate.c,
+	rtems/src/timerdelete.c, rtems/src/timerfireafter.c,
+	rtems/src/timerfirewhen.c, rtems/src/timergetinfo.c,
+	rtems/src/timerident.c, rtems/src/timerreset.c, rtems/src/timerserver.c,
+	rtems/src/timerserverfireafter.c, rtems/src/timerserverfirewhen.c: URL
+	for license changed.
 
 2003-08-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -213,4 +708,53 @@
 	* aclocal/check-rtems-debug.m4: New (Split out from rtems-debug.m4).
 	* automake/local.am: Remove "debug".
+	PR 449/rtems:
+	* posix/src/getegid.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/geteuid.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/getgid.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/getgroups.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/getlogin.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/getpgrp.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/getpid.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/getppid.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/getuid.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/setpgid.c: Remove (Moved to ../libcsupport/src).
+	* posix/src/setsid.c: Remove (Moved to ../libcsupport/src).
+	* posix/Makefile.am: Reflect changes above.
+
+2003-08-14	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/mqueuenametoid.c, posix/src/semaphorenametoid.c: Added ID to
+	name lookup service and changed name of id/name translation status code.
+	This propagated to multiple functions. The user API service added was
+	rtems_object_id_to_name().
+	PR 92/rtems
+	* posix/Makefile.am, posix/src/alarm.c, posix/src/psignal.c: Added
+	ualarm() and usleep().
+	* posix/src/ualarm.c, posix/src/usleep.c: New files.
+	* score/Makefile.am, score/include/rtems/score/object.h,
+	score/include/rtems/score/objectmp.h, score/src/objectmp.c,
+	score/src/objectnametoid.c: Added ID to name lookup service and changed
+	name of id/name translation status code. This propagated to multiple
+	functions. The user API service added was rtems_object_id_to_name().
+	* score/src/objectidtoname.c: New file.
+	PR 408/filesystem
+	* score/score/Makefile.am, score/score/include/rtems/score/thread.h:
+	Added sync() service. As part of adding this service, the new RTEMS
+	service rtems_iterate_over_all_threads() was also added. This new
+	service makes it easier to iterate over all the tasks/threads in a
+	system and perform an action on them.
+	* score/score/src/iterateoverthreads.c: New file.
+	* score/ChangeLog: Fixed screwup.
+	* sapi/src/extensionident.c: Added ID to name lookup service and changed
+	name of id/name translation status code. This propagated to multiple
+	functions. The user API service added was rtems_object_id_to_name().
+	* rtems/Makefile.am, rtems/include/rtems.h,
+	rtems/include/rtems/rtems/status.h, rtems/src/dpmemident.c,
+	rtems/src/msgqident.c, rtems/src/partident.c, rtems/src/ratemonident.c,
+	rtems/src/regionident.c, rtems/src/semident.c, rtems/src/taskident.c,
+	rtems/src/timerident.c: Added ID to name lookup service and changed name
+	of id/name translation status code. This propagated to multiple
+	functions. The user API service added was rtems_object_id_to_name().
+	* rtems/src/rtemsidtoname.c: New file.
 
 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
